

body{
  font-family: "IBM Plex Sans Arabic" !important;
}
.dashboard-user-profile {
    background-color: #f3f6f7;
}
.form-group {
    margin: 20px 0;
}
.dashboard label{
    font-weight: bold;
}
.entry-content-requests{
    max-width: 75%;
    margin: auto;
    background: #f1f1f1;
    padding: 2rem;
}

.acf-field input[type=text], .acf-field input[type=password], .acf-field input[type=date], .acf-field input[type=datetime], .acf-field input[type=datetime-local], .acf-field input[type=email], .acf-field input[type=month], .acf-field input[type=number], .acf-field input[type=search], .acf-field input[type=tel], .acf-field input[type=time], .acf-field input[type=url], .acf-field input[type=week], .acf-field textarea, .acf-field select {
    width: 100%;
    padding: 4px 8px;
    margin: 0;
    box-sizing: border-box;
    font-size: 14px;
    line-height: 1.4;
    border-radius: 5px;
    border: 1px solid #d1d1d1;
}

/* custom radio and checkboxes styles
/* ------------------------------------------------------------------------ */
.control {
    color: #a1a7a8;
    min-height: 24px;
    font-size: 14px;
    font-weight: 500;
    line-height: 24px;
  }
  
  .control__indicator {
    border: 1px solid #dce0e0;
    border-radius: 2px;
  }
  
  .control--checkbox .control__indicator::after {
    right: 6px;
    top: 2px;
    width: 6px;
    height: 10px;
  }
  
  .control--radio .control__indicator::after {
    right: 6px;
    top: 6px;
  }
  
  .radio-tab {
    padding: 8px 12px;
    margin-bottom: 0;
  }
  .radio-tab .control__indicator {
    right: auto;
    left: 12px;
    top: calc(50% - 10px);
  }
  .radio-tab .radio-tab-inner {
    border: 1px solid #dce0e0;
    border-radius: 4px;
  }
  
  input[type=radio],
  input[type=checkbox] {
    margin: 6px 0 0;
  }
  
  label.control.control--checkbox.hz-checkbox-0 {
    margin-top: 15px;
  }

  control-group {
    display: inline-block;
    vertical-align: top;
    background: #fff;
    text-align: right;
    -webkit-box-shadow: 0 1px 2px rgba(0, 0, 0, 0.1);
            box-shadow: 0 1px 2px rgba(0, 0, 0, 0.1);
    padding: 30px;
    width: 200px;
    height: 210px;
    margin: 10px;
  }
  
  .control {
    display: block;
    position: relative;
    padding-right: 30px;
    margin-bottom: 15px;
    cursor: pointer;
    font-size: 18px;
  }
  
  .control input {
    position: absolute;
    z-index: -1;
    opacity: 0;
  }
  
  .control__indicator {
    position: absolute;
    top: 2px;
    right: 0;
    height: 20px;
    width: 20px;
    background: #fff;
  }
  
  .control--radio .control__indicator {
    border-radius: 50%;
   
  }
  .control input:checked ~ .control__indicator{
    background: var(--rh-global-color-primary);
    border-color: var(--rh-global-color-primary);
  }
  .control input:disabled ~ .control__indicator {
    background: #e6e6e6;
    opacity: 0.6;
    pointer-events: none;
  }
  
  .control__indicator:after {
    content: "";
    position: absolute;
    display: none;
  }
  
  .control input:checked ~ .control__indicator:after {
    display: block;
  }
  
  .control.control--checkbox {
    line-height: 22px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-flow: column;
            flex-flow: column;
  }
  
  .control--checkbox .control__indicator:after {
    right: 8px;
    top: 4px;
    width: 3px;
    height: 8px;
    border: solid #fff;
    border-width: 0 2px 2px 0;
    -webkit-transform: rotate(45deg);
        -ms-transform: rotate(45deg);
            transform: rotate(45deg);
  }
  
  .control--checkbox input:disabled ~ .control__indicator:after {
    border-color: #e9e9e9;
  }
  
  .control--radio .control__indicator:after {
    height: 6px;
    width: 6px;
    border-radius: 50%;
    background: #fff;
  }
  
  .control--radio input:disabled ~ .control__indicator:after {
    background: #fff;
  }

.control__indicator_img {
    position: absolute;
    top: 2px;
    right: 0;
    height: 50px;
    width: 50px;
    background: #fff;
    border-radius: 50%;
}

.control.img {
    padding-right: 70px;
}

.control input:checked~.control__indicator_img {
    border: 2px solid #ffffff;
    border-radius: 50%;
    box-shadow: 1px 1px 16px 1px #00000045;
}
div#time-model {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    width: 100%;
    background: #ffffffbf;
}
.warp {
    margin: 20% 33%;
    text-align: center;
    background: var(--wc-highlight);
    padding: 1rem;
    border-radius: 30px;
    color: #ffffff;
}
div#timer {
    font-size: 50px;
    margin: 30px 0;
}
.login-register-form .modal-dialog {
    max-width: 555px !important;
}
.sync__loader {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    bottom: 0;
    text-align: center;
    align-items: center;
    background: #ffffffbf;
    display: none;
}
svg#loader-1 {
    margin: 25%;
}
strong, b, label {
  font-weight: 600;
}

label {
  padding-bottom: 10px;
  margin-bottom: 0;
}
.form-control {
  font-weight: 400;
  border: 1px solid;
  border-color: #dce0e0;
}

.form-control {
  height: 42px;
}
.form-control {
  display: block;
  width: 100%;
  font-weight: 400;
  line-height: 1.5;
  color: #495057;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid #ced4da;
  border-radius: 0.25rem;
  transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}

.rh_login_modal_messages {
  left: 0;
  top: 0;
  bottom: auto;
  background: #ffffff;
  border-bottom: 1px solid #e7e0e0;
}

.rh_login_modal_messages p{
  color:#000;
}

#register-error, #login-error, #register-error-time, #forgot-error{
  color: red;
}
#register-message, #forgot-message, #login-message{
  color: green;
}

.rh_login_modal_ultra.rh_login_modal_wrapper .rh_wrapper_login_forms{
  overflow-y: scroll;
}

form#submit_aqar_isvalid_form {
  max-width: 75%;
  margin: auto;
  background: var(--dashboard-sidebar-bg-color);
  color: #fff;
  padding: 2rem 2rem 4rem 2rem;
  border-radius: 8px;
}
form#submit_aqar_isvalid_form h2,
form#submit_aqar_isvalid_form label{
  color: #fff;
}
@media (max-width: 767.98px){
  form#submit_aqar_isvalid_form {
      max-width: 100%;
  }
}
form#submit_aqar_isvalid_form hr {
  border-top: 1px dashed rgb(255 255 255 / 28%);
  border-bottom: none;
  border-left: none;
  border-right: none;
}

#property-info-text {
  margin: 3rem 0;
}

.rtl .dashboard-error{
    position: relative;
    margin-bottom: 15px;
    padding: 15px 49px 14px 15px;
    border-right: none !important;
    font-size: 14px;
    background-color: #f39797;
    color: #000; 
    font-weight: bold;
}
.rtl .dashboard-sucsses{
  position: relative;
  margin-bottom: 15px;
  padding: 15px 49px 14px 15px;
  border-right: none !important;
  font-size: 14px;
  background-color: #bbf397;
  color: #000; 
  font-weight: bold;

}
.hidden{
  display: none;
}
.text-center{
  text-align: center;
}
div#property-info {
  background: #defbdc;
  color: #000;
  padding: 20px;
  line-height: 120%;
  font-weight: bold;
  margin-bottom: 30px;
  border-radius: 8px;
}
#isvalid-step{
  align-items: center;
}

.alh-loader-js{
  display: none;
}
.alh-loader-js.loader-show{
  display: inline;
}

a.btn-cancel.btn.btn-danger {
  background: #c32e2e;
  color: #fff;
}

.form-control:disabled, input[readonly] {
  background-color: rgba(220, 224, 224, 0.4) !important ;
}

button.dt-button, div.dt-button, a.dt-button, input.dt-button {
  position: relative;
  display: inline-block;
  box-sizing: border-box;
  margin-right: 0.333em;
  margin-bottom: 0.333em;
  padding: 6px 24px;
  border: 1px solid transparent;
  border-radius: 100px;
  cursor: pointer;
  font-size: .88em;
  line-height: 24px;
  /* color: black; */
  white-space: nowrap;
  overflow: hidden;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  text-decoration: none;
  outline: none;
  text-overflow: ellipsis;
  background: var(--rh-global-color-primary);
  border-color: var(--rh-global-color-primary);
  color: var(--rh-color-white);
}

button.dt-button:hover:not(.disabled), div.dt-button:hover:not(.disabled), a.dt-button:hover:not(.disabled), input.dt-button:hover:not(.disabled) {
  background: var(--rh-global-color-secondary);
  color: var(--rh-color-white);
  border: 1px solid transparent;
}
div#myDataTable_filter{
  margin-bottom: 2.5rem;
}
.dataTables_wrapper .dataTables_filter input[type="search"] {
  border: 1px solid #ccc0;
  border-radius: 100px;
  padding: 5px;
  width: 200px;
  box-sizing: border-box;
  margin: 0;
}
.dataTables_wrapper .dataTables_filter label {
  padding-bottom: 7px;
  margin-bottom: 0;
  padding-top: 6px;
  border-radius: 100px;
  padding-right: 10px;
  border: 1px solid #ccc;
}

div:where(.swal2-container) div:where(.swal2-popup) {
  display: block; /* Ensure it's visible */
  position: relative;
  box-sizing: border-box;
  grid-template-columns: minmax(0, 100%);
  width: 40em !important; /* Adjust width as needed */
  max-width: 80vw; /* Responsive width */
  max-height: 80vh; /* Restrict height */
  padding: 1.25em; /* Add padding */
  border: none;
  border-radius: 5px;
  background: #fff;
  color: hsl(0, 0%, 33%);
  font-family: inherit;
  font-size: 1rem;
  overflow-y: auto; /* Enable vertical scrolling */
  overflow-x: hidden; /* Prevent horizontal scrolling */
}

div:where(.swal2-container) .swal2-html-container {
  font-size: 1.5em !important;
}

.btn-danger {
  color: #fff;
  background-color: #dc3545;
  border-color: #dc3545;
}
.btn-danger:hover {
  color: #fff;
  background-color: #c82333;
  border-color: #bd2130;
}

a.rhea-custom-button.slide-in-top.slide-bg {
  width: 100%;
}
.rh-custom-search-form-wrapper{
  margin-bottom: 0 !important;
}

:root, [data-bs-theme=light]{
  --bs-body-font-size: 1.5rem !important;
}

div.dt-container div.dt-info{
    padding: 20px;
    background: #1e2323;
    margin-bottom: 20px;
    color: #fff;
    border-radius: 5px;
}
table, th, td {
  border-collapse: collapse;
  border: 1px solid #b1b1b1;
}

.alh-qrcode {
  position: absolute;
  top: 40px;
  right: 30px;
}

.rh-ultra-thumb-info-box {
  padding-right: 120px;
}
@media (max-width: 750px) {
  .rh-ultra-thumb-info-box {
    padding-right: 0px;
  }
  .alh-qrcode {
    display: none !important;
  }
}

.table-responsive {
  overflow-x: auto;
  -webkit-overflow-scrolling: touch; /* Enable smooth scrolling */
}

.advertisement-table {
  width: 100%; /* Ensure the table stretches across its container */
  border-collapse: collapse;
}

.advertisement-table th, 
.advertisement-table td {
  padding: 8px;
  text-align: right;
  border: 1px solid #ddd; /* Add borders for better readability */
}

.advertisement-table th {
  background-color: #f4f4f4; /* Highlight header */
}

@media (max-width: 768px) {
  .advertisement-table {
      font-size: 14px; /* Reduce font size for smaller screens */
  }

  .advertisement-table th, 
  .advertisement-table td {
      display: block; /* Stack table rows on top of each other */
      width: 100%;
  }

  .advertisement-table tr {
      margin-bottom: 1em; /* Add spacing between rows */
      border-bottom: 2px solid #ddd; /* Add a separator */
  }

  .advertisement-table td {
      text-align: right;
      position: relative;
      padding-left: 50%; /* Create room for pseudo-element */
  }

  .advertisement-table td::before {
      content: attr(data-label); /* Display the label before the value */
      position: absolute;
      left: 10px;
      width: calc(50% - 20px);
      text-align: left;
      font-weight: bold;
  }
}

p.rhea_user__msg{
  display: none !important;
}

@media (max-width: 767px) {
  .rhea_modal {
      right: -200px;
  }
}

.elementor-kit-6{
  background-image: none !important;
}

.rhea-ultra-status-box .rhea_ultra_featured
 {
    border-color: #BFA100 !important;
    background:#BFA100 !important;
    color: #fff;
}
.flatpickr-calendar.open{
    z-index: 99999999 !important;
}